FreeNAS - Bug #40672

Write out pam configuration files in /etc/pam.d/ if they don't already exist
08/03/2018 11:17 AM - John Hixson

Status: Done
Priority: No priority
Assignee: John Hixson
Category: oS
Target version: 11.1-U6
Seen in: 11.2-BETA1 Needs Merging: No
Severity: New Needs Automation: No
Reason for Closing: Support Suite Ticket: n/a
Reason for Blocked: Hardware
Configuration:
Needs QA: No Changelog No
Required:
Needs Doc: No
Description

root@catherder:/etc/pam
null
root@catherder:/etc/pam
total 60

.d # midclt call etc.generate pam

.d # 1s -1

-rw-r——-r—— 1 root wheel 312 Jul 9 14:24 atrun
-rw—-r—-—-r—-— 1 root wheel 189 Jul 9 14:24 cron
-rw-r—-—-r—— 1 root wheel 724 Jul 9 14:29 ftp
-rw—-r—--r—-— 1 root wheel 724 Jul 9 14:29 ftpd
-rw—-r—--r-— 1 root wheel 355 Jul 9 14:24 imap
-rw-r——-r—— 1 root wheel 516 Jul 9 14:29 login
-rw-r—-—-r—— 1 root wheel 661 Jul 9 14:24 other
-rw—-r——r—— 1 root wheel 308 Jul 9 14:24 passwd
-rw—-r——r—— 1 root wheel 355 Jul 9 14:24 pop3
-r-——r—--r—— 1 root wheel 2898 Jul 9 14:24 README
-rw-r—--r—-— 1 root wheel 1005 Jul 9 14:29 sshd
-rw-r—--r—— 1 root wheel 545 Jul 9 14:29 su
-rw-r—--r—-— 1 root wheel 704 Jul 9 14:24 system
-rw-r——-r—-— 1 root wheel 754 Jul 9 14:24 telnetd
-rw-r—-—-r-— 1 root wheel 519 Jul 9 14:24 xdm

In above output netatalk is missing. Touch file and re-run.

root@catherder:/etc/pam
root@catherder:/etc/pam
null
root@catherder:/etc/pam
#

# PAM configuration for

#

# auth
auth sufficient
auth requisite
auth sufficient
fauth sufficient
#auth sufficient
auth required
03/04/2021

.d # touch netatalk
.d # midclt call etc.generate pam

.d # cat netatalk

the "netatalk" service

pam_opie.so no_warn no_fake_prompts

pam_opieaccess.so no_warn allow_local
/usr/local/lib/pam_sss.so
pam_krb5.so no_warn
pam_ssh.so no_warn try_first_pass

pam_unix.so no_warn try_first_pass

ignore_authinfo_unavail quiet
# account

account required pam_nologin.so

account sufficient /usr/local/lib/pam_sss.so ignore_authinfo_unavail quiet
#account required pam_krb5.so

account required pam_unix.so

# session
session required pam_permit.so
session required /usr/local/lib/pam_mkhomedir.so

# password

#password sufficient pam_krb5.so no_warn try_first_pass
password sufficient /usr/local/lib/pam_sss.so use_authtok quiet
password required pam_unix.so no_warn try_first_pass

This is also the case for other missing pam files.

Related issues:
Related to FreeNAS - Bug #40720: Replace (nss|pam)_Idap with nss-pam-Idapd Done
Copied from FreeNAS - Bug #37138: Write out pam configuration files in /etc/p... Done

Associated revisions

Revision b00558f9 - 08/03/2018 11:20 AM - John Hixson

Write out files if they don't exist

Ticket: #37138
(cherry picked from commit 53a974326c98cac536c0430124cdb1fc0e4223c4)

(11.1-stable)
Ticket: #40672

Revision 8f2b249a - 08/03/2018 11:20 AM - John Hixson

Mark changes on newly created files
(cherry picked from commit ad78bca3aa93c413b8c14a15¢c916a815545a65e3)

(11.1-stable)
Ticket: #40672

History

#1 - 08/03/2018 11:17 AM - John Hixson
- Copied from Bug #37138: Write out pam configuration files in /etc/pam.d/ if they don't already exist added

#2 - 08/03/2018 01:26 PM - John Hixson
11.1-stable PR: https://github.com/freenas/freen l/164:

#3 - 08/06/2018 01:18 PM - Dru Lavigne
- Related to Bug #40720: Replace (nss|pam)_Idap with nss-pam-ldapd added

03/04/2021
https://github.com/freenas/freenas/pull/1643

#5 - 08/06/2018 02:18 PM - Dru Lavigne
- Status changed from Unscreened to Ready for Testing

- Needs QA changed from No to Yes

#6 - 08/15/2018 08:01 AM - Bonnie Follweiler

- Status changed from Ready for Testing to Passed Testing
- Needs QA changed from Yes to No

Test Passed in FreeNAS-11.1-U6-INTERNAL4

#7 - 08/15/2018 02:04 PM - Dru Lavigne

- Status changed from Passed Testing to Done

03/04/2021
